pub enum FoA<F, A> {
    Fast(F),
    Accurate(A),
    FastAndAccurate(F, A),
}

pub trait FoATrait {
    type F;
    type A;

    fn try_compute_fast(&mut self) -> anyhow::Result<()>;
    fn try_compute_accurate(&mut self) -> anyhow::Result<()>;
}

impl<F, A> FoATrait for FoA<F, A>
where
    for<'a> &'a F: TryInto<A>,
    for<'a> &'a A: TryInto<F>,
{
    type A = A;
    type F = F;

    fn try_compute_accurate(&mut self) -> anyhow::Result<()> {
        todo!()
    }

    fn try_compute_fast(&mut self) -> anyhow::Result<()> {
        todo!()
    }
}
