// Copyright 2024 Pierre Lairez
// SPDX-License-Identifier: GPL-3.0-or-later

#[cfg(not(target_feature = "avx2"))]
mod avx_unavailable {
    compile_error!("AVX2 is not enabled. This program only support x86-64 with AVX2 extensions.");
}

pub mod box_mat;
pub mod box_vec;
pub mod circuit;
pub mod cli;
pub mod flint;
pub mod foa;
pub mod parser;
pub mod precision_ctx;
pub mod prog;
pub mod reckless;
pub mod reckless_extra;
pub mod taylor_model;
pub mod projective;
pub mod traits;

